From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/jansson/
Date: Mon, 7 Jan 2019 17:30:56 +0000 (UTC) [thread overview]
Message-ID: <1546882163.3d44ade50a168b29e2f5a1d6628c47959b9313a1.gyakovlev@gentoo> (raw)
commit: 3d44ade50a168b29e2f5a1d6628c47959b9313a1
Author: David Zero <zero-one <AT> zer0-one <DOT> net>
AuthorDate: Tue Jan 1 10:15:53 2019 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Mon Jan 7 17:29:23 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d44ade5
dev-libs/jansson: Version bump to 2.12
This commit changes the EAPI to version 7.
Closes: https://github.com/gentoo/gentoo/pull/10718
Signed-off-by: David Zero <zero-one <AT> zer0-one.net>
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
dev-libs/jansson/Manifest | 1 +
dev-libs/jansson/jansson-2.12.ebuild | 37 ++++++++++++++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-libs/jansson/Manifest b/dev-libs/jansson/Manifest
index 0144e783563..cbe7f39fe40 100644
--- a/dev-libs/jansson/Manifest
+++ b/dev-libs/jansson/Manifest
@@ -1,2 +1,3 @@
DIST jansson-2.10.tar.gz 487855 BLAKE2B b1d83ad1a37e66cb7c497284a7958882d5a7e13cec2260d9cc2b5eaef648feea66b70305dec9193f10cf77f37bdda17605277ea41735708ca6a9898b79fef807 SHA512 e331d5c097b4acb0b1df7d90d1d3453c26bd34bfe2e06af0027665bee9efecc2bc61cc7ab5b70dab1262bf80a3315ffb53b4176874fe07e20eee4b9ea7071d44
DIST jansson-2.11.tar.gz 483686 BLAKE2B 873283a1b41eef1c57fbcb3d4cdb8c33b850d95ee93c800cbcc009e3e9c9e87278beff11800e63894087e51c767dcbd555fbde48163376d53be2bf72b2eac72d SHA512 0ae77cf7ec264536313639458ba20b66e221078cddd209df3ce45c895b897799954abc1ca4b0d5993b974135652804be6bede2825503469d56303470888382f8
+DIST jansson-2.12.tar.gz 489154 BLAKE2B cf6bc6d03daba921ec5e033bf57ff0055741cc935adb14d5d4a5f04056fa93c292bf88367db071ef7bb32fbc5d2d6f5f2ce658815a17939bd38ed5c0676ad091 SHA512 e40bdafdfa1fa663f71e00c06d7bfc98cff4ed3581a147894e5272e50fa5f9b9a7af6aaca41ff423a2ddd2554a192b36efcc32f6a3c98c727e9f819b955357cb
diff --git a/dev-libs/jansson/jansson-2.12.ebuild b/dev-libs/jansson/jansson-2.12.ebuild
new file mode 100644
index 00000000000..5fee180dfaa
--- /dev/null
+++ b/dev-libs/jansson/jansson-2.12.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal
+
+DESCRIPTION="C library for encoding, decoding and manipulating JSON data"
+HOMEPAGE="http://www.digip.org/jansson/"
+SRC_URI="http://www.digip.org/jansson/releases/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd"
+IUSE="doc static-libs"
+
+BDEPEND="doc? ( >=dev-python/sphinx-1.0.4 )"
+RDEPEND=""
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf $(use_enable static-libs static)
+}
+
+multilib_src_compile() {
+ default
+
+ if multilib_is_native_abi && use doc ; then
+ emake html
+ HTML_DOCS=( "${BUILD_DIR}"/doc/_build/html/. )
+ fi
+}
+
+multilib_src_install() {
+ default
+
+ find "${D}" -name '*.la' -delete || die
+}
next reply other threads:[~2019-01-07 17:31 UTC|newest]
Thread overview: 89+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-01-07 17:30 Georgy Yakovlev [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-21 19:58 [gentoo-commits] repo/gentoo:master commit in: dev-libs/jansson/ Arthur Zamarin
2024-07-19 11:13 Sam James
2024-07-19 6:22 Sam James
2024-07-19 6:22 Sam James
2024-07-19 6:22 Sam James
2024-07-19 6:22 Sam James
2024-07-19 6:11 Jakov Smolić
2024-07-19 6:11 Jakov Smolić
2024-04-08 18:30 Sam James
2022-11-28 20:07 Ionen Wolkens
2022-10-29 19:11 Sam James
2022-10-28 18:50 Sam James
2022-07-29 4:17 Sam James
2021-11-09 22:35 Sam James
2021-10-14 4:45 Sam James
2021-10-10 0:33 Sam James
2021-10-10 0:33 Sam James
2021-10-10 0:32 Sam James
2021-10-08 2:10 Sam James
2021-10-08 2:10 Sam James
2021-10-08 2:10 Sam James
2021-10-08 2:10 Sam James
2021-02-19 8:50 Michał Górny
2020-11-28 12:05 Sam James
2020-10-09 8:41 Agostino Sarubbo
2020-10-07 6:55 Agostino Sarubbo
2020-10-06 16:44 Sam James
2020-10-04 16:59 Sam James
2020-10-03 9:16 Sergei Trofimovich
2020-10-01 23:06 Sergei Trofimovich
2020-10-01 22:55 Sergei Trofimovich
2020-09-30 1:49 Sam James
2020-09-29 21:25 Sergei Trofimovich
2020-09-01 9:50 Yixun Lan
2020-07-24 8:28 Joonas Niilola
2020-07-22 18:07 Andreas Sturmlechner
2020-07-08 7:23 Joonas Niilola
2020-07-07 13:56 Joonas Niilola
2020-07-05 8:36 Sergei Trofimovich
2020-07-04 12:36 Mart Raudsepp
2020-07-02 6:36 Agostino Sarubbo
2020-07-02 6:34 Agostino Sarubbo
2020-07-02 6:33 Agostino Sarubbo
2020-07-02 6:32 Agostino Sarubbo
2020-07-02 6:30 Agostino Sarubbo
2020-07-02 6:28 Agostino Sarubbo
2020-07-02 6:25 Agostino Sarubbo
2020-03-29 10:00 Sergei Trofimovich
2019-02-12 6:07 Markus Meier
2019-02-08 8:52 Mikle Kolyada
2019-01-31 8:49 Tobias Klausmann
2019-01-12 16:28 Mart Raudsepp
2019-01-04 10:44 Mikle Kolyada
2019-01-02 19:01 Thomas Deutschmann
2019-01-02 10:30 Sergei Trofimovich
2019-01-01 12:50 Sergei Trofimovich
2019-01-01 12:17 Sergei Trofimovich
2019-01-01 12:17 Sergei Trofimovich
2019-01-01 12:05 Sergei Trofimovich
2018-05-18 15:00 Michał Górny
2018-03-15 15:42 Michał Górny
2018-03-15 15:42 Michał Górny
2018-03-15 15:42 Michał Górny
2018-01-29 20:10 Mike Frysinger
2017-10-23 18:50 Thomas Deutschmann
2017-10-22 21:42 Tobias Klausmann
2017-10-19 12:40 Manuel Rüger
2017-10-18 17:18 Sergei Trofimovich
2017-10-18 12:12 Sergei Trofimovich
2017-06-07 14:34 Sam Jorna
2017-03-06 11:23 Lars Wendler
2017-01-21 8:04 Aaron Bauman
2017-01-15 20:58 Jeroen Roovers
2017-01-08 18:29 Markus Meier
2017-01-05 12:34 Tobias Klausmann
2017-01-01 21:49 Agostino Sarubbo
2016-11-03 16:19 Göktürk Yüksek
2016-11-03 15:32 Lars Wendler
2016-02-02 8:02 Ian Delaney
2015-09-22 8:57 Agostino Sarubbo
2015-09-06 8:32 Agostino Sarubbo
2015-09-02 5:04 Mike Frysinger
2015-09-01 15:58 Markus Meier
2015-08-30 11:48 Tobias Klausmann
2015-08-27 9:28 Jeroen Roovers
2015-08-27 8:49 Jeroen Roovers
2015-08-26 7:14 Agostino Sarubbo
2015-08-26 7:14 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1546882163.3d44ade50a168b29e2f5a1d6628c47959b9313a1.gyakovlev@gentoo \
--to=gyakovlev@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox